# Enum ZooKeeperSaslClient.SaslState

java.lang.Object
java.lang.Enum<ZooKeeperSaslClient.SaslState>
org.apache.zookeeper.client.ZooKeeperSaslClient.SaslState

All Implemented Interfaces:
  `Serializable, Comparable<ZooKeeperSaslClient.SaslState>`

Enclosing class:
  `ZooKeeperSaslClient`

public static enum ZooKeeperSaslClient.SaslState extends Enum<ZooKeeperSaslClient.SaslState>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPLETE`
`FAILED`
`INITIAL`
`INTERMEDIATE`

## Method Summary

Modifier and Type
Method
Description
`static ZooKeeperSaslClient.SaslState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ZooKeeperSaslClient.SaslState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INITIAL

public static final ZooKeeperSaslClient.SaslState INITIAL

### INTERMEDIATE

public static final ZooKeeperSaslClient.SaslState INTERMEDIATE

### COMPLETE

public static final ZooKeeperSaslClient.SaslState COMPLETE

### FAILED

public static final ZooKeeperSaslClient.SaslState FAILED

## Method Details

### values

public static ZooKeeperSaslClient.SaslState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ZooKeeperSaslClient.SaslState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null